> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canary.effectiveai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a working filing

> Create a managed filing in scope mc:<MC UUID or slug>. Requires MC edit permission and registered filing/reference types. The caller owns the new record. Uses existing Records sharing defaults. Does not start a Captain for API-key callers or contact SERFF. POST is not idempotent: inspect the list after an uncertain response before creating again.



## OpenAPI

````yaml /openapi.json post /managed-filings
openapi: 3.0.3
info:
  title: Effective API
  version: 2.0.0
  description: The public Effective REST API. Authenticate using an Effective API key.
servers:
  - url: https://canary.effectiveai.app/api/v2
    description: Canary
security:
  - bearerAuth: []
paths:
  /managed-filings:
    post:
      tags:
        - Managed Filings
      summary: Create a working filing
      description: >-
        Create a managed filing in scope mc:<MC UUID or slug>. Requires MC edit
        permission and registered filing/reference types. The caller owns the
        new record. Uses existing Records sharing defaults. Does not start a
        Captain for API-key callers or contact SERFF. POST is not idempotent:
        inspect the list after an uncertain response before creating again.
      operationId: createManagedFiling
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V2ManagedFilingCreate'
      responses:
        '201':
          description: Created filing. Location identifies its detail URL.
          headers:
            Location:
              schema:
                type: string
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2ManagedFilingDetail'
        '400':
          description: Invalid fields or request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '403':
          description: A write-capable user credential and edit access are required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '404':
          description: >-
            Filing, item, reference, or registered record type is missing or
            inaccessible.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '409':
          description: >-
            Read-only filing, occupied schedule position, dependency, or
            concurrent change.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '415':
          description: Content-Type must be application/json.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
        '503':
          description: Dependency temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2CodedError'
      security:
        - bearerAuth: []
components:
  schemas:
    V2ManagedFilingCreate:
      type: object
      properties:
        scope:
          type: string
          pattern: ^mc:[A-Za-z0-9][A-Za-z0-9-]{0,127}$
          description: MC UUID or stable slug prefixed with mc:.
        companyId:
          type: string
          format: uuid
        jurisdictionId:
          type: string
          format: uuid
        primaryProductId:
          type: string
          format: uuid
        additionalProductIds:
          type: array
          items:
            type: string
            format: uuid
          maxItems: 100
        filingType:
          type: string
          enum:
            - form
            - rate
            - rule
            - rate_rule
            - form_rate
            - form_rule
            - form_rate_rule
            - adoption
            - withdrawal
        predecessorFilingId:
          type: string
          nullable: true
          format: uuid
        projectId:
          type: string
          nullable: true
          format: uuid
        description:
          type: string
          nullable: true
          minLength: 1
          maxLength: 20000
        reviewType:
          type: string
          nullable: true
          enum:
            - prior_approval
            - file_and_use
            - use_and_file
            - informational
            - null
        toiCode:
          type: string
          nullable: true
          enum:
            - '01.0'
            - '02.1'
            - '02.3'
            - '03.0'
            - '04.0'
            - '05.0'
            - '05.1'
            - '05.2'
            - '06.0'
            - '08.0'
            - '09.0'
            - '10.0'
            - '11.0'
            - '11.1'
            - '11.2'
            - '12.0'
            - '16.0'
            - '17.0'
            - '17.1'
            - '17.2'
            - '18.0'
            - '19.0'
            - '20.0'
            - '21.4'
            - '22.0'
            - '23.0'
            - '24.0'
            - '26.0'
            - '27.0'
            - '28.1'
            - '28.2'
            - '28.3'
            - '30.0'
            - '30.1'
            - '33.0'
            - '34.0'
            - '35.0'
            - null
          description: >-
            NAIC TOI code. When changing or clearing it, also change or clear
            any incompatible subToiCode.
        subToiCode:
          type: string
          nullable: true
          enum:
            - '01.0001'
            - '01.0002'
            - '02.1000'
            - '02.1001'
            - '02.1002'
            - '02.3001'
            - '02.3002'
            - '02.3003'
            - '02.3004'
            - '03.0000'
            - '04.0000'
            - '04.0001'
            - '04.0002'
            - '04.0003'
            - '04.0004'
            - '04.0005'
            - '05.0000'
            - '05.0001'
            - '05.0002'
            - '05.0003'
            - '05.0004'
            - '05.0005'
            - '05.0006'
            - '05.0007'
            - '05.1000'
            - '05.1001'
            - '05.1002'
            - '05.1003'
            - '05.1004'
            - '05.1005'
            - '05.1006'
            - '05.1007'
            - '05.2000'
            - '05.2001'
            - '05.2002'
            - '05.2003'
            - '05.2004'
            - '05.2005'
            - '05.2006'
            - '05.2007'
            - '06.0000'
            - '06.0001'
            - '06.0002'
            - '06.0003'
            - '06.0004'
            - '08.0000'
            - '09.0000'
            - '09.0001'
            - '09.0002'
            - '09.0003'
            - '09.0004'
            - '09.0005'
            - '09.0006'
            - '09.0007'
            - '09.0008'
            - '09.0009'
            - '09.0010'
            - '10.0000'
            - '11.0000'
            - '11.0001'
            - '11.0002'
            - '11.0003'
            - '11.0004'
            - '11.0005'
            - '11.0006'
            - '11.0007'
            - '11.0008'
            - '11.0009'
            - '11.0010'
            - '11.0011'
            - '11.0012'
            - '11.0013'
            - '11.0014'
            - '11.0015'
            - '11.0016'
            - '11.0017'
            - '11.0018'
            - '11.0019'
            - '11.0020'
            - '11.0021'
            - '11.0022'
            - '11.0023'
            - '11.0024'
            - '11.0025'
            - '11.0026'
            - '11.0027'
            - '11.0028'
            - '11.0029'
            - '11.0030'
            - '11.0031'
            - '11.0032'
            - '11.0033'
            - '11.1000'
            - '11.1001'
            - '11.1002'
            - '11.1003'
            - '11.1004'
            - '11.1005'
            - '11.1006'
            - '11.1007'
            - '11.1008'
            - '11.1009'
            - '11.1010'
            - '11.1011'
            - '11.1012'
            - '11.1013'
            - '11.1014'
            - '11.1015'
            - '11.1016'
            - '11.1017'
            - '11.1018'
            - '11.1019'
            - '11.1020'
            - '11.1021'
            - '11.1022'
            - '11.1023'
            - '11.1024'
            - '11.1025'
            - '11.1026'
            - '11.1027'
            - '11.1028'
            - '11.1029'
            - '11.1030'
            - '11.1031'
            - '11.1032'
            - '11.1033'
            - '11.2000'
            - '11.2001'
            - '11.2002'
            - '11.2003'
            - '11.2004'
            - '11.2005'
            - '11.2006'
            - '11.2007'
            - '11.2008'
            - '11.2009'
            - '11.2010'
            - '11.2011'
            - '11.2012'
            - '11.2013'
            - '11.2014'
            - '11.2015'
            - '11.2016'
            - '11.2017'
            - '11.2018'
            - '11.2019'
            - '11.2020'
            - '11.2021'
            - '11.2022'
            - '11.2023'
            - '11.2024'
            - '11.2025'
            - '11.2026'
            - '11.2027'
            - '11.2028'
            - '11.2029'
            - '11.2030'
            - '11.2031'
            - '11.2032'
            - '11.2033'
            - '12.0001'
            - '12.0002'
            - '16.0000'
            - '16.0001'
            - '16.0002'
            - '16.0003'
            - '16.0004'
            - '16.0005'
            - '17.0000'
            - '17.0001'
            - '17.0002'
            - '17.0003'
            - '17.0004'
            - '17.0005'
            - '17.0006'
            - '17.0007'
            - '17.0008'
            - '17.0009'
            - '17.0010'
            - '17.0011'
            - '17.0012'
            - '17.0013'
            - '17.0014'
            - '17.0015'
            - '17.0016'
            - '17.0017'
            - '17.0018'
            - '17.0019'
            - '17.0020'
            - '17.0021'
            - '17.0022'
            - '17.0023'
            - '17.0024'
            - '17.0025'
            - '17.0026'
            - '17.0027'
            - '17.0028'
            - '17.0029'
            - '17.1000'
            - '17.1001'
            - '17.1002'
            - '17.1003'
            - '17.1004'
            - '17.1005'
            - '17.1006'
            - '17.1007'
            - '17.1008'
            - '17.1009'
            - '17.1010'
            - '17.1011'
            - '17.1012'
            - '17.1013'
            - '17.1014'
            - '17.1015'
            - '17.1016'
            - '17.1017'
            - '17.1018'
            - '17.1019'
            - '17.1020'
            - '17.1021'
            - '17.1022'
            - '17.1023'
            - '17.1024'
            - '17.1025'
            - '17.1026'
            - '17.1027'
            - '17.1028'
            - '17.1029'
            - '17.2000'
            - '17.2001'
            - '17.2002'
            - '17.2003'
            - '17.2004'
            - '17.2005'
            - '17.2006'
            - '17.2007'
            - '17.2008'
            - '17.2009'
            - '17.2010'
            - '17.2011'
            - '17.2012'
            - '17.2013'
            - '17.2014'
            - '17.2015'
            - '17.2016'
            - '17.2017'
            - '17.2018'
            - '17.2019'
            - '17.2020'
            - '17.2021'
            - '17.2022'
            - '17.2023'
            - '17.2024'
            - '17.2025'
            - '17.2026'
            - '17.2027'
            - '17.2028'
            - '17.2029'
            - '18.0000'
            - '18.0001'
            - '18.0002'
            - '19.0000'
            - '19.0001'
            - '19.0002'
            - '19.0003'
            - '19.0004'
            - '20.0000'
            - '20.0001'
            - '20.0002'
            - '20.0003'
            - '20.0004'
            - '21.0004'
            - '22.0000'
            - '23.0000'
            - '24.0000'
            - '26.0001'
            - '26.0002'
            - '27.0000'
            - '28.1000'
            - '28.2001'
            - '28.2002'
            - '28.2003'
            - '28.2004'
            - '28.2005'
            - '28.2006'
            - '28.3000'
            - '30.0000'
            - '30.1000'
            - '33.0001'
            - '33.0002'
            - '33.0003'
            - '33.0004'
            - '33.0005'
            - '33.0006'
            - '34.0000'
            - '35.0000'
            - '35.0001'
            - '35.0002'
            - null
          description: >-
            Requires toiCode and must belong to that TOI. PATCH validates
            against the resulting filing, including unchanged fields. Discover
            valid pairs through the Records filings subToiCode field options
            endpoint with dependencyValue=<toiCode>.
        serffTrackingNumber:
          type: string
          nullable: true
          minLength: 1
          maxLength: 256
        stateTrackingNumber:
          type: string
          nullable: true
          minLength: 1
          maxLength: 256
        companyTrackingNumber:
          type: string
          nullable: true
          minLength: 1
          maxLength: 256
        disposition:
          type: string
          nullable: true
          enum:
            - pending
            - approved
            - filed
            - acknowledged
            - deemed_approved
            - disapproved
            - withdrawn
            - closed
            - null
        dispositionDate:
          type: string
          nullable: true
          format: date
        effectiveFromNew:
          type: string
          nullable: true
          format: date
        effectiveFromRenewal:
          type: string
          nullable: true
          format: date
      required:
        - scope
        - companyId
        - jurisdictionId
        - primaryProductId
        - filingType
      additionalProperties: false
    V2ManagedFilingDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Filing Record ID; not a reference-catalog filing ID.
        scope:
          type: string
          pattern: ^mc:[0-9a-f-]{36}$
          description: 'Canonical authorization scope: mc:<MC UUID>.'
        displayName:
          type: string
        filingMode:
          type: string
          nullable: true
          enum:
            - reference
            - managed
            - null
          description: Null means unclassified legacy data; do not assume it is editable.
        companyId:
          type: string
          format: uuid
        jurisdictionId:
          type: string
          format: uuid
        primaryProductId:
          type: string
          format: uuid
        filingType:
          type: string
        description:
          type: string
          nullable: true
        serffTrackingNumber:
          type: string
          nullable: true
        stateTrackingNumber:
          type: string
          nullable: true
        companyTrackingNumber:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        additionalProductIds:
          type: array
          items:
            type: string
            format: uuid
        predecessorFilingId:
          type: string
          nullable: true
          format: uuid
        projectId:
          type: string
          nullable: true
          format: uuid
        reviewType:
          type: string
          nullable: true
        toiCode:
          type: string
          nullable: true
        subToiCode:
          type: string
          nullable: true
        disposition:
          type: string
          nullable: true
        dispositionDate:
          type: string
          nullable: true
          format: date
        effectiveFromNew:
          type: string
          nullable: true
          format: date
        effectiveFromRenewal:
          type: string
          nullable: true
          format: date
        permissions:
          type: object
          properties:
            read:
              type: boolean
              enum:
                - true
            edit:
              type: boolean
              description: >-
                Current MC and row permission for managed filing content.
                Reference/unclassified filings return false.
            manageAccess:
              type: boolean
              description: >-
                Existing Records sharing permission, including platform
                administration rules.
          required:
            - read
            - edit
            - manageAccess
          additionalProperties: false
          description: >-
            Advisory current permissions, not endpoint availability or
            authorization for a later request. Staging/recording permissions are
            not published by this read-only slice.
      required:
        - id
        - scope
        - displayName
        - filingMode
        - companyId
        - jurisdictionId
        - primaryProductId
        - filingType
        - description
        - serffTrackingNumber
        - stateTrackingNumber
        - companyTrackingNumber
        - createdAt
        - updatedAt
        - additionalProductIds
        - predecessorFilingId
        - projectId
        - reviewType
        - toiCode
        - subToiCode
        - disposition
        - dispositionDate
        - effectiveFromNew
        - effectiveFromRenewal
        - permissions
      additionalProperties: false
    V2CodedError:
      allOf:
        - $ref: '#/components/schemas/V2Error'
        - type: object
          properties:
            code:
              type: string
              minLength: 1
              description: Stable error code. Clients must tolerate unknown future codes.
            details:
              type: array
              items:
                type: object
                properties:
                  location:
                    type: string
                    enum:
                      - path
                      - query
                      - header
                      - body
                  path:
                    type: array
                    items:
                      type: string
                      maxLength: 64
                    maxItems: 12
                  code:
                    type: string
                    enum:
                      - required
                      - invalid_type
                      - invalid_value
                      - unknown_field
                  message:
                    type: string
                    minLength: 1
                    maxLength: 200
                required:
                  - location
                  - path
                  - code
                  - message
              minItems: 1
              maxItems: 20
              description: Bounded safe validation issues; may omit some invalid fields.
            requestId:
              type: string
              minLength: 1
              maxLength: 128
              description: >-
                Existing server correlation for this HTTP attempt, when
                available.
          required:
            - code
    V2Error:
      type: object
      properties:
        error:
          type: string
          minLength: 1
          description: Human-readable explanation of the failure.
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Effective API key. Send Authorization: Bearer sk-eai-...'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.